Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.mvc.samples
Class ListSwitchView

    java.lang.Object
      ru.rsdn.patterns.mvc.view.AbstractView<ListModel<P>,java.util.Collection<Model<P>>>
          ru.rsdn.patterns.mvc.view.ListView<Switch>
              ru.rsdn.patterns.mvc.samples.ListSwitchView

All Implemented Interfaces:
  IModelSubscriber<java.util.Collection<Model<Switch>>>

    public class ListSwitchView

extends ListView<Switch>

Представление списка переключателей

Field Summary
`private org.eclipse.jface.viewers.ListViewer` | `viewer`

Constructor Summary
`ListSwitchView(org.eclipse.swt.widgets.Composite parent)` Конструктор

Method Summary
`void` | `modelChanged(Model<java.util.Collection<Model<Switch>>> model)` Событие изменения модели
`void` | `setModel(ListModel<Switch> model)` Установить модель

Methods inherited from class ru.rsdn.patterns.mvc.view.ListView
`add, add, delete, delete`

Methods inherited from class ru.rsdn.patterns.mvc.view.AbstractView
`getController, getModel, redo, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewer

    private final org.eclipse.jface.viewers.ListViewer viewer

Constructor Detail

### ListSwitchView

    public ListSwitchView(org.eclipse.swt.widgets.Composite parent)

  Конструктор

  Parameters:
    `parent` - композит

Method Detail

### setModel

    public void setModel(ListModel<Switch> model)

  Description copied from class: `AbstractView`
  Установить модель

  Overrides:
    `setModel` in class `AbstractView<ListModel<Switch>,java.util.Collection<Model<Switch>>>`
  Parameters:
    `model` - модель

### modelChanged

    public void modelChanged(Model<java.util.Collection<Model<Switch>>> model)

  Description copied from interface: `IModelSubscriber`
  Событие изменения модели

  Parameters:
    `model` - модель

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD